unit DemoUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, PDJ_DBSearch, Grids, DBGrids, DB, DBTables, ExtCtrls,
  Spin, ComCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    ComboBox1: TComboBox;
    PDJDBSearch1: TPDJDBSearch;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Label3: TLabel;
    ScrollBar1: TScrollBar;
    Label4: TLabel;
    StatusBar1: TStatusBar;
    procedure BitBtn1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure DataSource1DataChange(Sender: TObject; Field: TField);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
if not PDJDBSearch1.Search(Edit1.text) then
ShowMessage('Cannot find the data you''re searching for. '+
'If you are certain the data exists in the current field, check what you typed and try again');
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
PDJDBSearch1.OnlyPartofword:=CheckBox2.Checked;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
PDJDBSearch1.MatchCase:=CheckBox1.Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
var i:integer;
begin
Table1.open;
for i:=0 to Table1.FieldCount - 1  do
    ComboBox1.Items.Add(Table1.Fields[i].FieldName);
ComboBox1.ItemIndex:=1;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
PDJDBSearch1.DataField:=ComboBox1.Text;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
if edit1.text='' then BitBtn1.enabled:=false else
BitBtn1.enabled:=True;
end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
PDJDBSearch1.StartPosinSearchWord:=ScrollBar1.position;
Label4.Caption:=inttostr(ScrollBar1.position);
end;

procedure TForm1.DataSource1DataChange(Sender: TObject; Field: TField);
begin
StatusBar1.Panels[0].text:=inttostr(Table1.RecNo)+' / '+inttostr(Table1.RecordCount);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
Table1.close;
end;

end.
